Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452698 - Name or service not known
Summary: Name or service not known
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: revisor
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 15:08 UTC by M. Kristall
Modified: 2008-10-16 23:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-16 23:42:33 UTC


Attachments (Terms of Use)

Description M. Kristall 2008-06-24 15:08:42 UTC
Using revisor-2.1.1-4.fc9.noarch:

Initting progress bar for Building Installation Images
Setting rundir to /var/tmp/revisor-rundir
Running command: /usr/share/revisor/scripts/F9-buildinstall --debug --product
Fedora --variant f9-i386 --version 9 --release Fedora 9
/var/tmp/revisor-pungi/9/f9-i386/i386/os
http://localrepo/fedora/releases/9/Everything/i386/os/
http://localrepo/anaconda/f9/i386/ http://localrepo/fedora/updates/9/i386/
Extra information: /var/tmp/revisor-rundir False None
/usr/share/revisor/scripts/F9-buildinstall: Running buildinstall...
/usr/share/revisor/scripts/F9-buildinstall: /tmp/buildinstall.tree.gqF3OT
/var/tmp/revisor-rundir
/usr/share/revisor/scripts/F9-buildinstall:
http://localrepo/fedora/releases/9/Everything/i386/os/repodata/repomd.xml:
[Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
/usr/share/revisor/scripts/F9-buildinstall: Trying other mirror.
/usr/share/revisor/scripts/F9-buildinstall: Cannot retrieve repository metadata
(repomd.xml) for repository: anaconda-extrarepo-1. Please verify its path and
try again
Got an error from /usr/share/revisor/scripts/F9-buildinstall (return code 1)


Additionally, I had to manually chmod +x
/usr/share/revisor/scripts/F9-buildinstall in order to get even this far.

Comment 1 S.A. Hartsuiker 2008-06-24 15:28:48 UTC
One can either have a local repository which is available under http://localrepo
(ie configure apache or the like) or edit
/etc/revisor/conf.d/revisor-f9-i386.conf to point to valid repositories.

Comment 2 Jeroen van Meeuwen 2008-07-31 21:19:31 UTC
I'm taking this bug because at some point we will need to have buildinstall take
the entire set of options and stuff

Comment 3 Jeroen van Meeuwen 2008-10-16 23:42:33 UTC
Revisor has been updated to 2.1.1-7.fc9 now, and this bug amongst others should be fixed by now. Please update and try again.


Note You need to log in before you can comment on or make changes to this bug.